#
# Conditional build:
%bcond_without	ltm		# use LibTomMath for Math provider

Summary:	LibTomCrypt - fairly comprehensive, modular and portable cryptographic toolkit
Summary(pl.UTF-8):	LibTomCrypt - dość obszerna, modularna i przenośna biblioteka kryptograficzna
Name:		libtomcrypt
Version:	1.17
Release:	4
License:	Public Domain
Group:		Libraries
#Source0Download: https://github.com/libtom/libtomcrypt/releases
Source0:	https://github.com/libtom/libtomcrypt/releases/download/%{version}/crypt-%{version}.tar.bz2
# Source0-md5:	cea7e5347979909f458fe7ebb5a44f85
Patch0:		%{name}-link.patch
Patch1:		%{name}-makefile.patch
URL:		http://www.libtom.org/LibTomCrypt/
%{?with_ltm:BuildRequires:	libtommath-devel}
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibTomCrypt is a fairly comprehensive, modular and portable
cryptographic toolkit that provides developers with a vast array of
well known published block ciphers, one-way hash functions, chaining
modes, pseudo-random number generators, public key cryptography and a
plethora of other routines.

%description -l pl.UTF-8
LibTomCrypt to dość obszerna, modularna i przenośna biblioteka
kryptograficzna, zapewniająca programistom szeroki zbiór dobrze
znanych szyfrów blokowych, jednokierunkowych funkcji haszujących,
trybów łańcuchowych, generatorów liczb pseudolosowych, kryptografii
klucza publicznego oraz wiele innych procedur.

%package devel
Summary:	Header files for LibTomCrypt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibTomCrypt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_ltm:Requires:	libtommath-devel}

%description devel
Header files for LibTomCrypt library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LibTomCrypt.

%package static
Summary:	Static LibTomCrypt library
Summary(pl.UTF-8):	Statyczna biblioteka LibTomCrypt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
%{?with_ltm:Requires:	libtommath-static}

%description static
Static LibTomCrypt library.

%description static -l pl.UTF-8
Statyczna biblioteka LibTomCrypt.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{rpmcflags} %{?with_ltm:-DLTC_NO_ASM -DUSE_LTM -DLTM_DESC}" \
%{?with_ltm:EXTRALIBS=-ltommath} \
%{__make} -f makefile.shared \
	CC="libtool --mode=compile --tag=CC %{__cc}" \
	CCLD="libtool --mode=link --tag=CC %{__cc}" \
	LIBPATH=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -f makefile.shared install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBPATH=%{_libdir} \
	GROUP=$(id -ng) \
	USER=$(id -nu)

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE TODO changes
%attr(755,root,root) %{_libdir}/libtomcrypt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtomcrypt.so.0
%attr(755,root,root) %{_libdir}/libtomcrypt_prof.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtomcrypt_prof.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/crypt.pdf notes/*.txt
%attr(755,root,root) %{_libdir}/libtomcrypt.so
%attr(755,root,root) %{_libdir}/libtomcrypt_prof.so
%{_libdir}/libtomcrypt.la
%{_libdir}/libtomcrypt_prof.la
%{_includedir}/tomcrypt*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libtomcrypt.a
%{_libdir}/libtomcrypt_prof.a
%changelog
* Wed Aug 31 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtomcrypt.git;a=log;h=master

* Wed Aug 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 6768e8a
- release 4 (libtommath rebuild)

* Tue Aug 30 2016 Jakub Bogusz <qboosh@pld-linux.org> f855753
- updated URLs

* Sat Feb 28 2015 Elan Ruusamäe <glen@delfi.ee> bb6d020
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> b10b7b9
- rel 2

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> 1680eb3
- add deps for devel packages

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> b7e9282
- build with our cflags

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> 9b363aa
- build with LibTomMath (notes/tech0007.txt)

* Sun Dec 28 2014 Jakub Bogusz <qboosh@pld-linux.org> e5afb02
- new URL

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 6ec0132
- --tag requires libtool 1.5

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 105aa51
- new

